import { type Editor, type Range } from '@tiptap/vue-3';
import type { MaybeRefOrGetter } from 'vue';
type UseLinkHoverOptions = {
    /**
     * If true, the hover will be closed immediately when the mouse is moved out of the hovered element. This means that if the hover state is used to show a tooltip, the tooltip cannot be interacted with.
     */
    immediatelyClose?: boolean;
    /**
     * The delay in milliseconds before the hover state is shown.
     */
    delay?: number;
};
export declare function useLinkHover(editorRef: MaybeRefOrGetter<Editor | null | undefined>, options?: UseLinkHoverOptions): {
    isHovered: import("vue").Ref<boolean, boolean>;
    reference: import("vue").Ref<{
        from: number;
        to: number;
    } | null, Range | {
        from: number;
        to: number;
    } | null>;
    to: Readonly<import("vue").Ref<string | null, string | null>>;
};
export {};
