"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ImageExtension = void 0;
var _extensionImage = _interopRequireDefault(require("@tiptap/extension-image"));
var _uploadImage = require("../utils/upload-image.cjs");
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
const ImageExtension = (options = {}) => {
  const {
    loadingClass = "opacity-30 animate-pulse",
    uploadFn
  } = options;
  return _extensionImage.default.configure({
    inline: false,
    allowBase64: true
  }).extend({
    addProseMirrorPlugins() {
      return [(0, _uploadImage.UploadImagesPlugin)({
        imageUploadFn: uploadFn,
        loadingClass
      })];
    }
  });
};
exports.ImageExtension = ImageExtension;