import Image from "@tiptap/extension-image";
import { UploadImagesPlugin } from "../utils/upload-image.mjs";
export const ImageExtension = (options = {}) => {
  const { loadingClass = "opacity-30 animate-pulse", uploadFn } = options;
  return Image.configure({
    inline: false,
    allowBase64: true
  }).extend({
    addProseMirrorPlugins() {
      return [
        UploadImagesPlugin({
          imageUploadFn: uploadFn,
          loadingClass
        })
      ];
    }
  });
};
