"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.LinkHoverExtension = void 0;
var _vue = require("@tiptap/vue-3");
var _state = require("@tiptap/pm/state");
const LinkHoverExtension = (options = {}) => {
  const {
    onMouseOver,
    onMouseLeave
  } = options;
  return _vue.Extension.create({
    name: "handleLinkHover",
    addProseMirrorPlugins() {
      return [new _state.Plugin({
        key: new _state.PluginKey("hover"),
        props: {
          handleDOMEvents: {
            mouseover(_view, event) {
              const el = event.target;
              if (el.tagName !== "A") {
                return;
              }
              onMouseOver?.(el, el.pmViewDesc ? {
                start: el.pmViewDesc.posAtStart,
                end: el.pmViewDesc.posAtEnd
              } : void 0);
            },
            mouseout(_view, event) {
              const el = event.target;
              if (el.tagName !== "A") {
                return;
              }
              onMouseLeave?.(el);
            }
          }
        }
      })];
    }
  });
};
exports.LinkHoverExtension = LinkHoverExtension;