import { Extension } from '@tiptap/vue-3';
export type LinkHoverExtensionOptions = {
    /**
     * Called when a mouse enters a link
     * @param el - The `a` element that the mouse entered
     * @param range - The start/end editor range of the link being hovered if it exists in the editor
     *
     */
    onMouseOver: (el: HTMLElement, range?: {
        start: number;
        end: number;
    }) => void;
    /**
     * Called when a mouse leaves a link
     * @param el - The `a` element that the mouse left
     */
    onMouseLeave: (el: HTMLElement) => void;
};
export declare const LinkHoverExtension: (options?: Partial<LinkHoverExtensionOptions>) => Extension<any, any>;
