import { Extension } from "@tiptap/vue-3";
import { Plugin, PluginKey } from "@tiptap/pm/state";
export const LinkHoverExtension = (options = {}) => {
  const { onMouseOver, onMouseLeave } = options;
  return Extension.create({
    name: "handleLinkHover",
    addProseMirrorPlugins() {
      return [
        new Plugin({
          key: new PluginKey("hover"),
          props: {
            handleDOMEvents: {
              mouseover(_view, event) {
                const el = event.target;
                if (el.tagName !== "A") {
                  return;
                }
                onMouseOver?.(
                  el,
                  el.pmViewDesc ? {
                    start: el.pmViewDesc.posAtStart,
                    end: el.pmViewDesc.posAtEnd
                  } : void 0
                );
              },
              mouseout(_view, event) {
                const el = event.target;
                if (el.tagName !== "A") {
                  return;
                }
                onMouseLeave?.(el);
              }
            }
          }
        })
      ];
    }
  });
};
