"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.PlaceholderExtension = void 0;
var _extensionPlaceholder = require("@tiptap/extension-placeholder");
var _defu = require("defu");
const PlaceholderExtension = (options = {}) => {
  const defaultOptions = {
    placeholder: ({
      node
    }) => {
      if (node.type.name === "heading") {
        return `Heading ${node.attrs.level}`;
      }
      return "Start typing, press '/' for commands";
    }
  };
  const mergedOptions = (0, _defu.defu)(options, defaultOptions);
  return _extensionPlaceholder.Placeholder.configure(mergedOptions);
};
exports.PlaceholderExtension = PlaceholderExtension;