"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.StarterKitExtension = void 0;
var _starterKit = _interopRequireDefault(require("@tiptap/starter-kit"));
var _defu = require("defu");
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
const StarterKitExtension = (options = {}) => {
  const defaultOptions = {
    heading: {
      levels: [1, 2, 3]
    },
    codeBlock: false,
    horizontalRule: {
      HTMLAttributes: {
        "data-type": "draggable"
      }
    },
    dropcursor: {
      color: "#ffffff"
    }
  };
  const mergedOptions = (0, _defu.defu)(options, defaultOptions);
  return _starterKit.default.configure(mergedOptions).extend({
    addKeyboardShortcuts() {
      return {
        Enter: () => {
          const handleEnter = () => this.editor.commands.first(({
            commands
          }) => [() => commands.newlineInCode(), () => commands.createParagraphNear(), () => commands.liftEmptyBlock(), () => commands.splitBlock()]);
          handleEnter();
          this.editor.chain().command(({
            tr
          }) => {
            tr.setStoredMarks([]);
            return true;
          }).run();
          return true;
        }
      };
    }
  });
};
exports.StarterKitExtension = StarterKitExtension;