"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
var _exportNames = {
  Editor: true,
  Commands: true,
  EditorTooltip: true,
  BubbleMenu: true
};
Object.defineProperty(exports, "BubbleMenu", {
  enumerable: true,
  get: function () {
    return _BubbleMenu.default;
  }
});
Object.defineProperty(exports, "Commands", {
  enumerable: true,
  get: function () {
    return _Commands.default;
  }
});
Object.defineProperty(exports, "Editor", {
  enumerable: true,
  get: function () {
    return _Editor.default;
  }
});
Object.defineProperty(exports, "EditorTooltip", {
  enumerable: true,
  get: function () {
    return _EditorTooltip.default;
  }
});
var _composables = require("./composables/index.cjs");
Object.keys(_composables).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _composables[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _composables[key];
    }
  });
});
var _editor = require("./extensions/bundles/editor.cjs");
Object.keys(_editor).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _editor[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _editor[key];
    }
  });
});
var _codeHighlight = require("./extensions/code-highlight.cjs");
Object.keys(_codeHighlight).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _codeHighlight[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _codeHighlight[key];
    }
  });
});
var _command = require("./extensions/command.cjs");
Object.keys(_command).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _command[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _command[key];
    }
  });
});
var _dragHandle = require("./extensions/drag-handle.cjs");
Object.keys(_dragHandle).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _dragHandle[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _dragHandle[key];
    }
  });
});
var _image = require("./extensions/image.cjs");
Object.keys(_image).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _image[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _image[key];
    }
  });
});
var _linkHover = require("./extensions/link-hover.cjs");
Object.keys(_linkHover).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _linkHover[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _linkHover[key];
    }
  });
});
var _link = require("./extensions/link.cjs");
Object.keys(_link).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _link[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _link[key];
    }
  });
});
var _placeholder = require("./extensions/placeholder.cjs");
Object.keys(_placeholder).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _placeholder[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _placeholder[key];
    }
  });
});
var _starterKit = require("./extensions/starter-kit.cjs");
Object.keys(_starterKit).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _starterKit[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _starterKit[key];
    }
  });
});
var _taskItem = require("./extensions/task-item.cjs");
Object.keys(_taskItem).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _taskItem[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _taskItem[key];
    }
  });
});
var _taskList = require("./extensions/task-list.cjs");
Object.keys(_taskList).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _taskList[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _taskList[key];
    }
  });
});
var _textAlign = require("./extensions/text-align.cjs");
Object.keys(_textAlign).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _textAlign[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _textAlign[key];
    }
  });
});
var _commands = require("./utils/commands.cjs");
Object.keys(_commands).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _commands[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _commands[key];
    }
  });
});
var _uploadImage = require("./utils/upload-image.cjs");
Object.keys(_uploadImage).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _uploadImage[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _uploadImage[key];
    }
  });
});
var _Editor = _interopRequireDefault(require("./components/Editor.vue"));
var _Commands = _interopRequireDefault(require("./components/Commands.vue"));
var _EditorTooltip = _interopRequireDefault(require("./components/EditorTooltip.vue"));
var _BubbleMenu = _interopRequireDefault(require("./components/BubbleMenu.vue"));
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }