import {
  defineNuxtModule,
  createResolver,
  addComponentsDir,
  addImportsDir
} from "@nuxt/kit";
export default defineNuxtModule({
  meta: {
    name: "pilot",
    configKey: "pilot"
  },
  // Default configuration options of the Nuxt module
  defaults: {},
  setup(options, _nuxt) {
    const resolver = createResolver(import.meta.url);
    const prefix = options.prefix || "";
    addComponentsDir({
      path: resolver.resolve("./components"),
      prefix
    });
    addImportsDir([
      resolver.resolve("./composables"),
      resolver.resolve("./extensions"),
      resolver.resolve("./extensions/bundles"),
      resolver.resolve("./utils")
    ]);
  }
});
