import type { Editor, Range } from '@tiptap/vue-3';
export type EditorCommand = {
    id: string;
    label: string;
    command: ({ editor, range }: {
        editor: Editor;
        range: Range;
    }) => void;
    icon?: string;
    filter?: ({ editor }: {
        editor: Editor;
    }) => boolean;
    altNames?: string[];
    [key: string]: unknown;
};
type BuiltInCommands = 'h1' | 'h2' | 'h3' | 'bold' | 'italic' | 'divider' | 'unorderedList' | 'orderedList';
export declare const commandActions: Record<BuiltInCommands, ({ editor, range }: {
    editor: Editor;
    range: Range;
}) => void>;
export declare function createCommands<T extends EditorCommand>(commands?: T[]): T[];
export {};
