import type { EditorState } from '@tiptap/pm/state';
import { Plugin } from '@tiptap/pm/state';
import { DecorationSet, type EditorView } from '@tiptap/pm/view';
export type UploadFn = (file: File) => Promise<string | false>;
export declare const UploadImagesPlugin: ({ loadingClass, imageUploadFn, }: {
    loadingClass: string;
    imageUploadFn?: UploadFn;
}) => Plugin<DecorationSet>;
export declare const handleImagePaste: (view: EditorView, event: ClipboardEvent, uploadFn?: UploadFn) => boolean;
export declare const handleImageDrop: (view: EditorView, event: DragEvent, moved: boolean, uploadFn?: UploadFn) => boolean;
export declare function findPlaceholder(state: EditorState, id: Record<string, unknown>): number | null;
export interface ImageUploadOptions {
    validateFn?: (file: File) => void;
    onUpload: (file: File) => Promise<unknown>;
}
